import { NgModule, ErrorHandler } from '@angular/core';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { PhytecMultitouch } from '../directives/mutitouch.directive';
import { LedsRestService } from '../services/ledsRest.service';
import { LedsSocketsService } from '../services/ledsSocket.service';
import { PhytecDemo } from './app.component';
import { PhytecDemoHome } from '../pages/phytec-demo-home/phytec-demo-home';
import { PhytecPinchZoom } from '../pages/phytec-pinch-zoom/phytec-pinch-zoom';
import { PhytecGraphCharts } from '../pages/phytec-graph-charts/phytec-graph-charts';
import { PhytecChartsTab } from '../pages/phytec-charts-tab/phytec-charts-tab';
import { PhytecBarChartsTab } from '../pages/phytec-bar-charts-tab/phytec-bar-charts-tab';
import { PhytecDoughnutChartsTab } from '../pages/phytec-doughnut-charts-tab/phytec-doughnut-charts-tab';
import { PhytecLedsRest } from '../pages/phytec-leds-rest/phytec-leds-rest';
import { PhytecLedsSocket } from '../pages/phytec-leds-socket/phytec-leds-socket';
// not used due performance issues
// import { PhytecTrafficLiveData } from '../pages/phytec-traffic-live-data/phytec-traffic-live-data';
import { ChartsModule } from 'ng2-charts';


@NgModule({
  declarations: [
    PhytecMultitouch,
    PhytecDemo,
    PhytecDemoHome,
    PhytecPinchZoom,
    PhytecGraphCharts,
    PhytecChartsTab,
    PhytecBarChartsTab,
    PhytecDoughnutChartsTab,
    PhytecLedsRest,
    PhytecLedsSocket,
    // not used due performance issues
    // PhytecTrafficLiveData
  ],
  imports: [
    IonicModule.forRoot(PhytecDemo),
    ChartsModule
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    PhytecDemo,
    PhytecDemoHome,
    PhytecPinchZoom,
    PhytecGraphCharts,
    PhytecChartsTab,
    PhytecBarChartsTab,
    PhytecDoughnutChartsTab,
    PhytecLedsRest,
    PhytecLedsSocket
  ],
  providers: [
    {
      provide: ErrorHandler,
      useClass: IonicErrorHandler
    },
    LedsRestService,
    LedsSocketsService
  ]
})
export class AppModule {
}
