import { Directive, ElementRef, Renderer, Output, EventEmitter } from '@angular/core';

@Directive({
  selector: '[phytec-multitouch]'
})
export class PhytecMultitouch {
  @Output() touches = new EventEmitter();
  @Output() debug = new EventEmitter();

  private eventName = { touchstart: 'touchstart', touchend: 'touchend' };

  constructor(public element: ElementRef, public renderer: Renderer) {

    element.nativeElement.addEventListener(this.eventName.touchstart, (evt) => {
      evt.preventDefault();
      const touches = evt.touches || [evt];
      this.touches.emit(touches.length);
    });
    /*
     workaorund for chrome to ensure to catch canceled event when touches happen to the same time
     does not work in qtbrowser
     */
    element.nativeElement.addEventListener('touchcancel', (evt) => {
      const touches = evt.touches || [evt];
      this.touches.emit(touches.length);
    });


    element.nativeElement.addEventListener(this.eventName.touchend, (evt) => {
      const touches = evt.touches || [evt];
      this.touches.emit(touches.length);
    });
  }

}