import { Component } from '@angular/core';

import 'chart.js';
import { NavController } from 'ionic-angular';

@Component({
  selector: 'phytec-charts-tab',
  templateUrl: 'phytec-charts-tab.html'
})
export class PhytecChartsTab {
// lineChart
  public lineChartInputFirst = 80;
  public lineChartInputSecond = 20;
  public lineChartData: Array<any> = [
    {
      data: [this.lineChartInputFirst, 50, this.lineChartInputFirst, 50, this.lineChartInputFirst, 50, this.lineChartInputFirst],
      label: 'Series A'
    },
    {
      data: [50, this.lineChartInputSecond, 50, this.lineChartInputSecond, 50, this.lineChartInputSecond, 50],
      label: 'Series B'
    }
  ];
  public lineChartLabels: Array<any> = ['January', 'February', 'March', 'April', 'May', 'June', 'July'];
  public lineChartOptions: any = {
    scales: {
      yAxes: [{
        ticks: {
          min: 0
        }
      }]
    },
    responsive: true
  };
  public lineChartColors: Array<any> = [
    { // grey
      backgroundColor: 'rgba(204,235,237,0.2)',
      borderColor: 'rgba(0,110,115,1)',
      pointBackgroundColor: 'rgba(0,110,115,1)',
      pointBorderColor: '#fff',
      pointHoverBackgroundColor: '#fff',
      pointHoverBorderColor: 'rgba(0,110,115,0.8)'
    },
    { // dark grey
      backgroundColor: 'rgba(77,187,235, 0.2)',
      borderColor: 'rgba(77,141,194,1)',
      pointBackgroundColor: 'rgba(77,141,194,1)',
      pointBorderColor: '#fff',
      pointHoverBackgroundColor: '#fff',
      pointHoverBorderColor: 'rgba(77,187,235,1)'
    },
    { // grey
      backgroundColor: 'rgba(148,159,177,0.2)',
      borderColor: 'rgba(148,159,177,1)',
      pointBackgroundColor: 'rgba(148,159,177,1)',
      pointBorderColor: '#fff',
      pointHoverBackgroundColor: '#fff',
      pointHoverBorderColor: 'rgba(148,159,177,0.8)'
    }
  ];
  public lineChartLegend: boolean = true;
  public lineChartType: string = 'line';

  constructor(public navCtrl: NavController) {
  }

  public onInputChange(e: any): void {
    let _lineChartData = [
      {
        data: [this.lineChartInputFirst, 50, this.lineChartInputFirst, 50, this.lineChartInputFirst, 50, this.lineChartInputFirst],
        label: 'Series A'
      },
      {
        data: [50, this.lineChartInputSecond, 50, this.lineChartInputSecond, 50, this.lineChartInputSecond, 50],
        label: 'Series B'
      }
    ];

    _lineChartData[0].data.push(50);
    this.lineChartData = _lineChartData;
  }
}
