import { Component } from '@angular/core';

import { PhytecPinchZoom } from './../phytec-pinch-zoom/phytec-pinch-zoom';
import { PhytecGraphCharts } from './../phytec-graph-charts/phytec-graph-charts';
import { PhytecLedsRest } from './../phytec-leds-rest/phytec-leds-rest';
import { PhytecLedsSocket } from './../phytec-leds-socket/phytec-leds-socket';

import { NavController } from 'ionic-angular';

@Component({
  selector: 'phytec-demo-home',
  templateUrl: 'phytec-demo-home.html'
})
export class PhytecDemoHome {

  private navOptions: any = {
    animate: true,
    animation: 'wp-transition',
    direction: 'forward',
    duration: 700
  };

  constructor(public navCtrl: NavController) {
  }

  navigateTo(page: string) {
    switch (page) {
      case 'pinchZoom':
        this.navCtrl.push(PhytecPinchZoom, {}, this.navOptions);
        break;
      case 'graphCharts':
        this.navCtrl.push(PhytecGraphCharts, {}, this.navOptions);
        break;
      case 'ledsRest':
        this.navCtrl.push(PhytecLedsRest, {}, this.navOptions);
        break;
      case 'ledsSocket':
        this.navCtrl.push(PhytecLedsSocket, {}, this.navOptions);
        break;
      default:
        return false;
    }
  }
}
