import { Injectable }     from '@angular/core';
import { Http, Response } from '@angular/http';
import { Led } from './../models/leds';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';

@Injectable()
export class LedsRestService {
  constructor(private http: Http) {
  }

  // private instance variable to hold base url
  // local development url
  // private ledUrl = 'http://localhost:4040/api/device/led';
  // hardware prod url
  private ledUrl = 'http://192.168.3.11/api/device/led';

  getLeds(): Observable<Led[]> {
    return this.http.get(this.ledUrl)
      .map((res: Response) => res.json())
      .catch((error: any) => Observable.throw(error.json().error || 'Server error'));
  }

  updateLed(body: Object) {
    return this.http.put(`${this.ledUrl}/${body['id']}`, body)
      .map((res: Response) => res.json())
      .catch((error: any) => Observable.throw(error.json().error || 'Server error'));
  }
}