var colors = require('colors');
var pjson = require('./../dist/package.json');
var node_ssh = require('node-ssh');
var client = require('scp2');
var Client = require('scp2').Client;
var clientInstance = new Client();
var prodConfig = require('./../dist/config/env/production');

var ssh = new node_ssh();

// TODO: check if dist folder is not empty
// TODO: check if prod config has a installBasePath attribute
// TODO: check if prod config has ip
var copyConfigForClient = {
  host: prodConfig.ip,
  username: 'root',
  path: `${prodConfig.installBasePath}/${pjson.name}/www`,
  clientAppRoot: prodConfig.clientAppRoot
};

clientInstance.on('write', file => {
  console.log('File successfully copied'.green);
  console.log(`Source: ${file.source}
Destination: ${file.destination}

`.yellow);
});

clientInstance.on('error', err => {
  console.log(`Could not connect to phytec board. Please check IP and connection`.red);
});

clientInstance.on('end', () => {
  const commandFolder = `${prodConfig.installBasePath}/${pjson.name}`;
  ssh.connect({ host: copyConfigForClient.host, username: copyConfigForClient.username})
    .then(() => {
      ssh.execCommand('systemctl restart qtwebbrowser', { cwd: commandFolder })
        .then(result => {
          if (result.stderr) {
            console.log(`STDERR: ${result.stderr}`.red)
          }
          console.log(`Successfully restartet qtwebbrowser. In some cases you have to manually reload the app.`.gray);
          if (result.stderr) {
            console.log(`STDERR: ${result.stderr}`.red);
          }
          ssh.dispose();
        })
        .catch(err => {
          console.log(`Could not restart qtwebbrowser`.red);
          ssh.dispose();
        });
    })
    .catch(err => {
      console.log(`Could not connect to phytec board for restarting qtwebbrowser. Please check IP and connection.`.red);
      ssh.dispose();
    })
});

console.log(`Install client app to ${copyConfigForClient.host} - path: ${copyConfigForClient.path}`.gray);

client.scp(copyConfigForClient.clientAppRoot, `${copyConfigForClient.username}@${copyConfigForClient.host}:${copyConfigForClient.path}`, clientInstance, (err) => {
});
