var colors = require('colors');
var node_ssh = require('node-ssh');
var pjson = require('./../dist/package.json');
var prodConfig = require('./../dist/config/env/production');

var ssh = new node_ssh();

var sshConfig = {
  host: prodConfig.ip,
  username: 'root'
};

var commandFolder = `${prodConfig.installBasePath}/${pjson.name}`;

ssh.connect(sshConfig)
  .then(() => {
    ssh.execCommand('NODE_PATH=/usr/lib/node_modules npm run prod:start ', { cwd: commandFolder })
      .then(result => {
        if (result.stderr) {
          console.log(`STDERR: ${result.stderr}`.red);
        }
        console.log(`STDOUT: ${result.stdout}`.gray);
        if (result.stderr) {
          console.log(`STDERR: ${result.stderr}`.red);
        }
        ssh.dispose();
      })
      .catch(err => {
        console.log(`Command could not execute`.red);
        ssh.dispose();
      });
  })
  .catch(err => {
    console.log(`Could not connect to phytec board. Please check IP and connection.`.red);
  });
