import deviceService from './../services/device.service';

function load(req, res, next, id) {
  req.ledId = id;
  return next();
}

/**
 * get all leds device data example.
 */
function getAllLeds(req, res, next) {
  return res.json(deviceService.getAllLedsStatus());
}


function getLed(req, res, next) {
  return res.json(deviceService.getOneLedStatus(req.ledId));
}

/**
 * Update led
 * @property {boolean} req.body.value - new bollean value of led
 * @returns {led}
 */
function updateLed(req, res, next) {
  const led = { id: req.ledId, value: req.body.value};
  return res.json(deviceService.updateLedStatus(led));
}

export default { getAllLeds, getLed, updateLed, load };
