import express from 'express';
import validate from 'express-validation';
import paramValidation from '../../config/param-validation';
import deviceCtrl from '../controllers/device.controller';

const router = express.Router(); // eslint-disable-line new-cap

router.route('/led')
/** GET /api/device/led - Get all leds */
  .get(deviceCtrl.getAllLeds);

router.route('/led/:ledId')
/** GET /api/device/led/:ledId - Get specific led */
  .get(deviceCtrl.getLed)
  .put(deviceCtrl.updateLed);

router.param('ledId', deviceCtrl.load);

export default router;
