import config from './../../config/env';
/**
 * get all leds device data example.
 */

// TODO: abstract layer for GPIO library

let randomLedStatus;
let leds = [
  {
    id: 1,
    value: true,
    physicalPin: 35
  },
  {
    id: 2,
    value: false,
    physicalPin: 36
  },
  {
    id: 3,
    value: true,
    physicalPin: 31
  }
];

function init() {
  if (config.env === 'production') {
    const m = require('mraa');
    leds.map((led) => {
      led.gpio = new m.Gpio(led.physicalPin);
      led.gpio.dir(m.DIR_OUT);
      led.gpio.write(led.value ? 1 : 0);
    });
  }
}

init();

function getAllLedsStatus() {
  return leds;
}

// TODO return led, but led is no model yet
/**
 * get led
 * @property {number}
 * @returns {led}
 */
function getOneLedStatus(id) {
  return leds.filter(element => element.id === id);
}

/**
 * Update led
 * @property {object}
 * @returns {led}
 */
function updateLedStatus(aLed) {
  const parsedLedId = parseInt(aLed.id);
  const foundLed = leds.find(led => led.id === parsedLedId);
  if (config.env === 'production') {
    foundLed.gpio.write(aLed.value ? 1 : 0);
  }
  foundLed.value = aLed.value;
  return Object.assign({}, foundLed);
}

function triggerRandomMode() {
  randomLedStatus = setInterval(() => {
    leds.map(led => {
      const randomBool = Math.random() >= 0.5;
      led.value = randomBool;
      if (config.env === 'production') {
        led.gpio.write(randomBool ? 1 : 0);
      }
    })
  }, 1500)
}

function stopRandomMode() {
  clearInterval(randomLedStatus);
}

export default { getAllLedsStatus, getOneLedStatus, updateLedStatus, triggerRandomMode, stopRandomMode };
