import deviceService from './../services/device.service';

export default (socket) => {
  let randomInterval;

  socket.emit('allLeds', deviceService.getAllLedsStatus());

  socket.on('update led', payload => {
    clearInterval(randomInterval);
    deviceService.stopRandomMode();
    socket.emit('led', deviceService.updateLedStatus(payload));
    socket.broadcast.emit('led', deviceService.updateLedStatus(payload));
  });

  socket.on('random', payload => {
    clearInterval(randomInterval);
    deviceService.stopRandomMode();
    if (payload) {
      deviceService.triggerRandomMode();
      randomInterval = setInterval(() => {
        socket.emit('allLeds', deviceService.getAllLedsStatus());
        socket.broadcast.emit('allLeds', deviceService.getAllLedsStatus());
      }, 500);
    }

  })
};